Home Unable to install docker - invoke-rc.d: initscript docker, action “start” failed on Debian
Reply: 0

Unable to install docker - invoke-rc.d: initscript docker, action “start” failed on Debian

PascalKu
1#
PascalKu Published in 2018-02-13 18:37:39Z

I'm unable to install docker... That's what the machine is talking to me..

I installed docker like this script https://gist.github.com/frgomes/a6f889583860f5b330c06c8b46fa0f42 on a Debian 8.0 (64 Bit) minimal machine.

I tried to install docker first time after installing this machine but the installation failed with this LOG:

Setting up libltdl7:amd64 (2.4.2-1.11+b1) ...
Setting up libpng12-0:amd64 (1.2.50-2+deb8u3) ...
Setting up plymouth (0.9.0-9) ...
update-initramfs: deferring update (trigger activated)
update-rc.d: warning: start and stop actions are no longer supported; falling back to defaults
update-rc.d: warning: start and stop actions are no longer supported; falling back to defaults
Setting up mountall (2.54) ...
Setting up less (458-3) ...
debconf: unable to initialize frontend: Dialog
debconf: (No usable dialog-like program is installed, so the dialog based frontend cannot be used. at /usr/share/perl5/Debconf/FrontEnd/Dialog.pm line 76.)
debconf: falling back to frontend: Readline
Setting up patch (2.7.5-1) ...
Setting up aufs-tools (1:3.2+20130722-1.1) ...
Setting up cgroupfs-mount (1.1) ...
Setting up docker-engine (17.05.0~ce-0~debian-jessie) ...
Job for docker.service failed. See 'systemctl status docker.service' and 'journalctl -xn' for details.
invoke-rc.d: initscript docker, action "start" failed.
dpkg: error processing package docker-engine (--configure):
 subprocess installed post-installation script returned error exit status 1
Setting up liberror-perl (0.17-1.1) ...
Setting up git-man (1:2.1.4-2.1+deb8u5) ...
Setting up git (1:2.1.4-2.1+deb8u5) ...
Setting up rsync (3.1.1-3+deb8u1) ...
Processing triggers for libc-bin (2.19-18+deb8u10) ...
Processing triggers for systemd (215-17+deb8u7) ...
Processing triggers for initramfs-tools (0.120+deb8u3) ...
Errors were encountered while processing:
 docker-engine
E: Sub-process /usr/bin/dpkg returned an error code (1)

I googled this error many times and tried solutions like this: https://askubuntu.com/questions/953726/unable-to-install-docker-invoke-rc-d-initscript-docker-action-start-failed but it does not solve my problem..

Thanks for each contribution.

You need to login account before you can post.

About| Privacy statement| Terms of Service| Advertising| Contact us| Help| Sitemap|
Processed in 0.311934 second(s) , Gzip On .

© 2016 Powered by mzan.com design MATCHINFO